﻿@using MIMS.Portal.Core.Domains;
@using  MIMS.Portal.Commons.Extensions;

@model List<UploadFile>
<div class="x_panel">
    <div class="x_title">
        <h2>ثبت فایل</h2>
        <ul class="nav navbar-right panel_toolbox">
            <li>
                <a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
            </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            </li>
            <li>
                <a class="close-link"><i class="fa fa-close"></i></a>
            </li>
        </ul>
        <div class="clearfix"></div>
    </div>
    <div class="x_panel">
        <div class="container">
            <table class="table table-striped">
                <tbody>
                    <tr>
                        <form action="/upload/index" enctype="multipart/form-data" method="post">
                        <td colspan="1">
                            <fieldset>

                                <div class="row form-group">
                                    <label class="col-md-4 control-label"> فایل:</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <div class="input-group"><input id="files" name="files" placeholder="فایل" class="form-control" required="true" value="" type="file"></div>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-md-4 control-label">نوع فایل:</label>
                                    <div class="col-md-8 inputGroupContainer">
                                        <select class="input-group" id="Type" name="Type" class="form-control" required="true" value="" type="text">
                                            <option value="تصویر شناسامه"> تصویر شناسامه</option>
                                            <option value="تصوری کارت ملی">تصوری کارت ملی</option>
                                            <option value="تصویر سند(استشهاد نامه یا جواز)">تصویر سند(استشهاد نامه یا جواز)</option>
                                            <option value="تصویر کد مالیاتی">تصویر کد مالیاتی</option>
                                            <option value="تصویر تایید حساب">تصویر تایید حساب</option>

                                            <option value="تصویر فرم شماره 1">تصویر فرم شماره 1</option>

                                        </select>
                                    </div>
                                </div>
                                <input type="hidden" id="Destinationid" name="Destinationid" value=@ViewBag.destinationid>

                                <div class="row form-group">
                                    <div class="col-md-8 inputGroupContainer">
                                        <button id="btnLogin" type="submit" class="btn ok hvr-shutter-out-horizontal mb-3">ثبت اطلاعات </button>
                                    </div>
                                </div>

                            </fieldset>
                        </td>


                        </form>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row">
            <div class="panel panel-default panel-table col-12">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col col-6">
                            <h3 class="panel-title">لیست فایل ها</h3>
                        </div>

                    </div>
                </div>
                <div class="panel-body">
                    <table class="table table-striped table-bordered table-list">
                        <thead>
                            <tr>
                                <th class="hidden-xs">شناسه</th>
                                <th>نوع فایل</th>
                                <th>تاریخ ثبت</th>


                                <th><em class="fa fa-cog"></em></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (UploadFile item in Model)
                            {
                                <tr>
                                    <td class="hidden-xs">@item.Id</td>
                                    <td>@item.Type</td>

                                    <td align="center">
                                        <a href="/Upload/Download?id=@item.Id" class="btn btn-default"><em class="fa fa-download"></em></a>
                                        <a class="btn btn-default" href="/upload/delete?id=@item.Id&&Destinationid=@ViewBag.destinationid"><em class="fa fa-trash"></em></a>

                                    </td>
                                </tr>
                            }

                        </tbody>
                    </table>

                </div>
                <div class="panel-footer">
                    <div class="row">
                        <div class="col col-xs-4">
                            صفحه 1 از 5
                        </div>
                        <div class="col col-xs-8">
                            <ul class="pagination hidden-xs pull-right">
                                <li><a href="#">1</a></li>
                                <li><a href="#">2</a></li>
                                <li><a href="#">3</a></li>
                                <li><a href="#">4</a></li>
                                <li><a href="#">5</a></li>
                            </ul>
                            <ul class="pagination visible-xs pull-right">
                                <li><a href="#">«</a></li>
                                <li><a href="#">»</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
